Take the 2-minute tour ×
Arqade is a question and answer site for passionate videogamers on all platforms. It's 100% free, no registration required.

According to its system requirements, the game says it needs Windows 98 or Windows ME.

Can I play it if I have Windows 7 instead? Or do I need an older OS to be able to run it?

share|improve this question
2  
Have you tried running it in Windows 98/Windows Me compatibility mode? –  deutschZuid Sep 19 '11 at 1:48
    
no, how does that work? –  James Sep 19 '11 at 3:40
1  
I agree with James Jiao, compatibility mode is your best bet. In control panel, search for compatibility in the top right hand corner and its the only search result that shows up. –  Harpal Sep 19 '11 at 10:51
    
Win98 era games are iffy on Win7. IIRC, they didn't even work well or at all on XP. You'll probably have to grab an old box and install Win98 on it if you want to play it. –  Jeff Mercado Sep 19 '11 at 11:02
    
Another option is to run VMWare, but this might be a little too advanced for you. –  deutschZuid Sep 19 '11 at 11:33

2 Answers 2

Run Dosbox (http://www.dosbox.com/download.php?main=1) and play any DOS Game under any Windows version

share|improve this answer

It appears to at least run on Win7, but at least on the 64-bit version, is laggy. Here's a video that shows this:

share|improve this answer
    
Mark, thanks for the embed. I should figure out how to do that sometime. –  InsidiousForce Jul 11 '12 at 21:45

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.